techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Shipments
  • Getting Started
  • Merchant Account
    • Merchant Wallet
      • Wallet Details
      • Charge Wallet
    • Merchant Settings
    • List Bank Accounts
    • Update Merchant Settings
    • Organization Config
  • Customers
    • Locations
      • List Customer Locations
      • Customer Location Details
      • Create Customer Location
    • Memberships
      • List Customer Memberships
    • Customer Order Statistics
    • List Customers
    • Customer Details
    • Create Customer
    • Update Customer
  • Wallets
    • Customer Wallet Details
    • Deposit Points
    • Deposit Cashback
    • Redeem from Wallet
  • Vouchers
    • Get Voucher Discount
    • Update Voucher Usage
  • Items
    • Item Config Details
    • Update Item Config
    • List Items
    • Item Details
    • Create Item
    • Update Item
    • Delete Item
    • Reserve an item
    • Record Item Purchase
    • Bulk Update Items
    • Bulk Update Item Prices
  • Item Categories
    • List Item Categories
    • Item Category Details
    • Create Category
    • Update Category
    • Delete Category
  • Item Tags
    • List Item Tags
    • Create Tag
    • Update Tag
    • Delete Tag
  • Item Images
    • Create Item Image
    • Upadte Item Image
    • Delete Item Image
  • Item Discounts
    • Create Item Discount
    • Upadte Item Discount
    • Delete Item Discount
  • Item Bundles
    • List Bundle Categories
    • Bundle Category Details
    • Create Bundle Category
    • Update Bundle Category
    • Delete Bundle Category
  • Item Modifiers
    • List Modifier Categories
    • Modifier Category Details
    • Create Modifier Category
    • Update Modifier Category
    • Delete Modifier Category
  • Carts
    • List Carts
    • Cart Details
  • Orders
    • Checkout Config Details
    • Update Checkout Config
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Invoices
    • Invoice Config Details
    • Update Invoice Config
    • List Invoices
    • Invoice Details
    • Refund Invoice
  • Transactions
    • List Transactions
    • Transaction Details
    • Capture Bank Transfer Transaction
    • Decline Bank Transfer Transaction
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Subscriptions Statistics
    • Cancel Subscription Auto Renewal
    • Cancel Subscription
    • Increment Subscription Usage
    • Decrement Subscription Usage
    • Bulk Pause Subscriptions
    • Bulk Resume Subscriptions
    • Create Subscription Update
    • Cancel Subscription Update
  • Fulfillments
    • Fulfillment Overview
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Tickets
    • List Tickets
    • Bulk Update Tickets
    • Validate Token and Check in Ticket
  • Shipments
    • Shipping Config Details
      GET
    • Update Shipping Config
      POST
    • Shipping Labels Details
      GET
    • Purchase Shipment Labels
      POST
    • Create Shipment
      POST
    • Cancel Shipment
      POST
    • Create Return Shipment
      POST
  • Pickup Locations
    • List Pickup Locations
    • Pickup Location Details
    • Create Pickup Location
    • Update Pickup Location Details
    • Delete Pickup Location
  • Couriers
    • List Couriers
    • Get Active Couriers
    • Get Couriers Prices
    • Courier Details
    • Create Custom Courier
    • Update Custom Courier Details
    • Delete Custom Courier
  • Geo & Places
    • List Countires
    • List Regions
    • List Cities
    • List Districts
  • Webhooks
    • List Webhooks
    • Create Webhook
    • Update Webhook Details
    • Delete Webhook
    • List Webhook Logs
    • Test Webhook
    • Delete Webhook By URL
  • Sales Channels
    • Meals
      • List Provider Meal Plans
      • Update Meals Plans Listings
      • List Provider Meals Orders
      • Provider Meals Order Details
      • List Provider Meals Subscriptions
      • Provider Meals Subscription Details
    • Sales Channel Profile Details
    • List Sales Channel Connections
    • Accept Sales Channel Connection Request
    • Reject Sales Channel Connection Request
    • Activate Sales Channel Connection
    • Deactivate Sales Channel Connection
    • Delete Sales Channel Connection Request
  • Notifications
    • Send Notification
  • Meals Plans
    • List Plan Tags
    • List Plans
    • Plan Details
    • Menu Details
  • Meals Logistics
    • City Details
    • Captain Details
    • Branch Details
    • List Supported Windows
    • List Captains
    • Bulk Update SubOrders
  1. Shipments

Create Shipment

POST
https://api.techrar.com/order/v1/merchant/shipments/
This endpoint allows you to create a shipment for your fulfillment order
Permission
can_write_order - orders write only

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/order/v1/merchant/shipments/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "fulfillment_order_id": 263,
    "courier_id": 1,
    "pickup_location_id": 1,
    "weight": 1,
    "package_count": 1
}'
Response Response Example
{
    "id": 263,
    "created_at": "2025-07-07T11:35:10.314981+03:00",
    "order_id": 320,
    "invoice_id": 391,
    "status": "active",
    "customer": {
        "id": 35261,
        "country_code": "966",
        "username": "0556910123",
        "mobile_number": "966556910123",
        "email": "[email protected]",
        "name": "966556910123",
        "lang": "ar",
        "current_city_id": null,
        "is_email_verified": true,
        "is_mobile_verified": true,
        "is_blocked": false,
        "is_deleted": false,
        "is_verified": true,
        "national_id": null,
        "secondary_mobile_number": null,
        "date_of_birth": null,
        "avatar": null,
        "joined_at": "2025-04-30T09:58:17.639533Z",
        "custom_fields": null
    },
    "date": null,
    "time": null,
    "service_type": "delivery",
    "location": {
        "id": 9989,
        "custom_fields": null,
        "on_demand_supported": false,
        "subscription_supported": false,
        "location_url": "https://maps.google.com/?q=21.575444444444443,39.204972222222224",
        "city": {
            "id": 1,
            "custom_fields": null,
            "app_id": null,
            "created_at": "2022-03-12T16:51:57.964819+03:00",
            "modified_at": "2023-02-19T18:29:28.335083+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "name_ar": "جده",
            "name_en": "Jeddah",
            "country_code": "SA",
            "keywords": "Jeddah,jeddah,جدة,جده",
            "is_supported": true
        },
        "app_id": null,
        "created_at": "2024-10-24T10:57:13.058522+03:00",
        "modified_at": "2025-01-28T17:13:30.686590+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "name_ar": "home",
        "name_en": "home",
        "longitude": "39.204972222222224",
        "latitude": "21.575444444444443",
        "address1": "JDSC7486, 7486 Jabal Al Reatain, 2677, Ar Rabwah, Jeddah 23451, Saudi Arabia",
        "address2": null,
        "place_id": "ChIJsbXASQbRwxURKUzhiCdq0X4",
        "postal_code": "23451",
        "formatted_address": "JDSC7486, 7486 Jabal Al Reatain, 2677, Ar Rabwah, Jeddah 23451, Saudi Arabia",
        "district": "Ar Rabwah",
        "district_ar": null,
        "city_name_en": "Jeddah",
        "city_name_ar": null,
        "route": "Jabal Al Reatain",
        "street_number": "7486",
        "is_synced": true,
        "type": "home",
        "description": "Building: -, Floor: -, Office: -, Notes: -",
        "is_default": false,
        "image": null,
        "deleted_from": null,
        "zone": 10,
        "customer_profile": 1
    },
    "city_en": "Jeddah",
    "city_ar": "جدة",
    "district_en": "As Salama",
    "district_ar": "السلامة",
    "fulfillments": [
        {
            "id": 102630,
            "created_at": "2025-07-07T11:35:10.119839+03:00",
            "invoice_item_id": 423,
            "item": {
                "id": 121,
                "custom_fields": {
                    "test": "test"
                },
                "images": [],
                "discount": {
                    "is_applied": false,
                    "is_trial_applied": false,
                    "is_usage_price": false,
                    "price_after_discount_no_trial": 12.0,
                    "price_after_discount": 12.0
                },
                "stock": {
                    "in_stock": true,
                    "qty": 100
                },
                "modifiers": [
                    {
                        "id": 3,
                        "ordering": 0,
                        "name_en": "mod",
                        "name_ar": "mod",
                        "values": [
                            {
                                "id": 6,
                                "ordering": 0,
                                "name_en": "two",
                                "name_ar": "two"
                            },
                            {
                                "id": 5,
                                "ordering": 0,
                                "name_en": "one",
                                "name_ar": "one"
                            }
                        ]
                    }
                ],
                "variants": [
                    {
                        "id": 121,
                        "custom_fields": {
                            "test": "test"
                        },
                        "images": [],
                        "discount": {
                            "is_applied": false,
                            "is_trial_applied": false,
                            "is_usage_price": false,
                            "price_after_discount_no_trial": 12.0,
                            "price_after_discount": 12.0
                        },
                        "stock": {
                            "in_stock": true,
                            "qty": 100
                        },
                        "plan_config": null,
                        "off_days": [],
                        "off_dates": [],
                        "variant_title_en": "two",
                        "variant_title_ar": "two",
                        "modifier_values": [
                            6
                        ],
                        "app_id": 86,
                        "ordering": 0,
                        "type": "product",
                        "service_type": "delivery",
                        "sku": "17502362717823294",
                        "price": 12.0,
                        "name_en": "Variant",
                        "name_ar": "Variant",
                        "description_en": "",
                        "description_ar": "",
                        "is_plan_only": false,
                        "is_plan_enabled": false,
                        "served_from_date": null,
                        "served_to_date": null,
                        "served_from_time": null,
                        "served_to_time": null
                    },
                    {
                        "id": 122,
                        "custom_fields": {
                            "test": "test_vaaar_1"
                        },
                        "images": [],
                        "discount": {
                            "is_applied": false,
                            "is_trial_applied": false,
                            "is_usage_price": false,
                            "price_after_discount_no_trial": 11.0,
                            "price_after_discount": 11.0
                        },
                        "stock": {
                            "in_stock": true,
                            "qty": 100
                        },
                        "plan_config": null,
                        "off_days": [],
                        "off_dates": [],
                        "variant_title_en": "one",
                        "variant_title_ar": "one",
                        "modifier_values": [
                            5
                        ],
                        "app_id": 86,
                        "ordering": 0,
                        "type": "product",
                        "service_type": "delivery",
                        "sku": "1750236379191",
                        "price": 11.0,
                        "name_en": "Variant",
                        "name_ar": "Variant",
                        "description_en": "",
                        "description_ar": "",
                        "is_plan_only": false,
                        "is_plan_enabled": false,
                        "served_from_date": null,
                        "served_to_date": null,
                        "served_from_time": null,
                        "served_to_time": null
                    }
                ],
                "varies_on": "modifiers",
                "bundle_categories": [],
                "plan_config": null,
                "off_days": [],
                "off_dates": [],
                "app_id": 86,
                "ordering": 0,
                "type": "product",
                "service_type": "delivery",
                "sku": "17502362717823294",
                "price": 12.0,
                "name_en": "Variant",
                "name_ar": "Variant",
                "description_en": "",
                "description_ar": "",
                "is_plan_only": false,
                "is_plan_enabled": false,
                "served_from_date": null,
                "served_to_date": null,
                "served_from_time": null,
                "served_to_time": null,
                "categories": [
                    16
                ]
            },
            "name_en": "Variant",
            "name_ar": "Variant",
            "status": "active",
            "addons": []
        }
    ],
    "shipments": [
        {
            "id": 1,
            "custom_fields": null,
            "courier_id": 1,
            "courier_name": "OTO Flex",
            "events": [
                {
                    "created_at": "2025-07-08T10:56:48.139242+03:00",
                    "status": "ready_for_pickup",
                    "note": null,
                    "provider_status": "searchingDriver"
                }
            ],
            "tracking_number": "f60f7bed",
            "tracking_url": "https://staging-api.tryoto.com/sms/order-tracking?key=ZFZ0RzdIU1BqUXlFdlNYZ2lTOCtyenJQSEVlNVpaZ1c4dnFObHdicFFZWFpQYTB2TEl1Z0R0RnllVmRBWFRzM3g0aDlmQ3k1KzFkbW1IellkU3dGSFE9PQ==",
            "label_url": "https://staging-api.tryoto.com/print/awb?enc=eyJjb21wYW55SWQiOjM4NzA0LCJpZHMiOlszMDk1MjY0NV19",
            "shipment_error": null,
            "app_id": 86,
            "created_at": "2025-07-08T10:56:41.495458+03:00",
            "shipment_number": "TR1751961401",
            "status": "ready_for_pickup",
            "is_reversed": false,
            "customer_id": 35261,
            "customer_phone": "0556910123",
            "customer_email": "[email protected]",
            "customer_name": "966556910123",
            "customer_address": "JDSC7486, 7486 Jabal Al Reatain, 2677, Ar Rabwah, Jeddah 23451, Saudi Arabia",
            "weight": 1.0,
            "package_count": 1,
            "pickup_location_id": 1,
            "origin_country_code": "SA",
            "origin_city": "Jeddah",
            "origin_lat": "21.590375041386423000",
            "origin_lng": "39.152816252744530000",
            "destination_country_code": "SA",
            "destination_city": "Jeddah",
            "destination_district": "As Salama",
            "destination_lat": "21.575444444444443000",
            "destination_lng": "39.204972222222224000",
            "picked_up_at": null,
            "shipped_at": null,
            "delivered_at": null,
            "shipping_amount": 0.0,
            "provider_order_status": "searchingDriver"
        }
    ]
}
Modified at 2025-07-12 11:02:51
Previous
Purchase Shipment Labels
Next
Cancel Shipment
Built with